Bug 132687 - file conflict computation is inconsistent
Summary: file conflict computation is inconsistent
Status: CLOSED UPSTREAM
Alias: None
Product: Fedora
Classification: Fedora
Component: rpm   
(Show other bugs)
Version: rawhide
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Paul Nasrat
QA Contact: Mike McLean
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-09-15 20:11 UTC by Bill Nottingham
Modified: 2014-03-17 02:48 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-11-02 16:17:27 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Bill Nottingham 2004-09-15 20:11:50 UTC
When file conflicts are enabled, the computation is inconsistent.

Given packages that traditionaly have conflicts (non-ELF files are
different), when conflicts are reported depends on the transaction set
is involved.

Testing was done with octave, other packages will satisfy.

1) both 32 and 64 bit versions of the package in the transaction set
   - no conflicts reported
2) install 32 when 64 bit is present
   - conflicts reported
3) install 64 when 32 bit is present
   - conflicts reported

Comment 1 Jeff Johnson 2004-09-15 21:24:39 UTC
So you wish added+added to have same behavior as
added+installed (both cases)?

Or vice versa? Please state your expectation precisely.

Comment 2 Bill Nottingham 2004-09-15 21:39:38 UTC
Added+added behavior matching the current added + installed behavior
is what makes sense to me. (i.e., #1 matches #2 and #3.)

Comment 3 Jeff Johnson 2004-09-15 21:49:30 UTC
OK, tnx. I'm not sure rpm ever got this right ;-)

I'll get file conflicts foxed soon sfter deploops are stabilized ...

Comment 4 Jeff Johnson 2005-11-02 16:17:27 UTC
AFAICR, this bug was foxed over a year ago. Reopen if not.


Note You need to log in before you can comment on or make changes to this bug.